!set title=Determinante y rango
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c,r
varcnt=36
prevarcnt=35
postvarcnt=0
replycnt=1
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=det
val7=rango
tmp0=!randint 5, 20

val8=$[rint($(tmp0))]
tmp0=!randint $val8/2, $val8-1

val9=$[rint($(tmp0))]
tmp0=!shuffle 20

val10=$(tmp0)
tmp0=!item 1 of $val10

tmp1=!randitem -1,1

val11=$[rint($(tmp0)*$(tmp1))]
tmp0=!item 2 of $val10

tmp1=!randitem -1,1

val12=$[rint($(tmp0)*$(tmp1))]
val13=$[rint($val11*$val12)]
tmp0=!randitem 1,2

val14=$[rint($(tmp0))]
tmp0=!item $val14 of A,B

val15=$(tmp0)
tmp0=!item $val14 of B,A

val16=$(tmp0)
tmp0=!item $val14 of 1,2

val17=$(tmp0)
tmp0=!item $val14 of 2,1

val18=$(tmp0)
val19=$val6(\($val15))=$val11
val20=$val6(\($val16))=$val12
val21=$val6(\($val15))=0
val22=$val6(\($val16))=0
val23=$val7(\($val15))=$val8
val24=$val7(\($val16))=$val8
val25=$val7(\($val15))=$val9
val26=$val7(\($val16))=$val9
val27=$val7(\(AB))
val28=$val6(\(AB))
val29==
val30=&lt;&gt;
val31=&lt;
val32=&gt;
tmp=!trim $val19,$val24,$val27,$val29,$val8	$val19,$val24,$val28,$val30,0	$val19,$val26,$val27,$val29,$val9	$val19,$val26,$val28,$val29,0	$val19,$val20,$val27,$val29,$val8	$val21,$val24,$val27,$val31,$val8	$val21,$val24,$val28,$val29,0	$val23,$val26,$val27,$val29,$val9	$val23,$val26,$val28,$val29,0	$val21,$val20,$val27,$val31,$val8	$val23,$val24,$val28,$val30,0	
val33=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val33

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val33=$(tmp0)
tmp0=!item $val17 of $val33

val34=$(tmp0)
tmp0=!item $val18 of $val33

val35=$(tmp0)
tmp0=!item 3 of $val33

val36=$(tmp0)
tmp0=!item 4 of $val33

val37=$(tmp0)
tmp0=!item 5 of $val33

val38=$(tmp0)
val39=$val29,$val31,$val32,$val30
replyname1=the value
replygood1=$val38
choicename1=$val36 is
choicegood1=$val37
choicebad1=$val39
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sean 
!insmath A
$() y 
!insmath B
$() dos matrices $val8&times;$val8, tales que	$val34 y $val35. Entonces	<p><center>	$val36  
!read oef/embed.phtml choice 1 
$()  
!read oef/embed.phtml reply 1,5 
$().	</center> <p>	(Debes colocar la mejor respuesta.)	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,34,35,36
embedcnt=2
